/*#version 330 core
layout (location = 0) in vec2 aPos;

out vec2 TexCoord;

void main(){
    gl_Position = vec4(aPos.x, aPos.y, 0.0, 1.0);
    TexCoord = (aPos + 1.0) / 2.0;
}
#version 330 core
layout (location = 0) in vec2 vertexPosition;
layout (location = 1) in vec2 textureCoordinate;

uniform mat4 u_projectionMatrix;
uniform mat4 u_modelMatrix;
uniform vec4 u_textureSource;

out vec2 TexCoord;

void main(){
    gl_Position = u_projectionMatrix * u_modelMatrix * vec4(vertexPosition.x, vertexPosition.y, 0.0, 1.0);
    TexCoord = vec2(
        textureCoordinate.x * u_textureSource.z + u_textureSource.x, 
        textureCoordinate.y * u_textureSource.w + u_textureSource.y
    );
}*/

#version 330 core
layout (location = 0) in vec2 vertexPosition;
out vec2 TexCoord;

uniform mat4 u_projectionMatrix;
uniform mat4 u_modelMatrix;

void main(){
    gl_Position = u_projectionMatrix * u_modelMatrix * vec4(vertexPosition.x, vertexPosition.y, 0.0, 1.0);
    TexCoord = vertexPosition;
}